SEARCH

Enter your search query in the box above ^, or use the forum search tool.

You are not logged in.

#1 2013-09-17 15:10:21

cchhrriiss121212
#! Junkie
Registered: 2010-03-26
Posts: 357

Broken packages after upgrade to Jessie

Greets all,
I have just done an upgrade from wheezy to jessie, and all went pretty smooth.

The only issue I am having is with 32bit libraries, meaning I cannot install steam or netflix. Trying to install any of these packages gives the "you have held broken packages" message.

Now I have had this issue (as did many others) before when installing netflix, the solution to which was to enable multiarch for i386. I already have i386 enabled however, so I don't know what else to try.

Any suggestions welcome.

Offline

Be excellent to each other!

#2 2013-09-17 16:17:20

wizard10000
#! Member
Registered: 2013-02-24
Posts: 80

Re: Broken packages after upgrade to Jessie

I too run a Waldorf/Jessie mix.  I've learned that there are some Waldorf libraries that can get in the way.

First, are you using testing or jessie in /etc/apt/sources.list?  I'm gonna use testing in this example but you get the idea.

sudo apt-get -t testing install package_name

should solve your problems by specifying that the upgrade comes from jessie instead of waldorf repos.

Hope this helps -


we see things not as they are, but as we are.
  -- anais nin

Offline

#3 2013-09-17 17:31:09

cchhrriiss121212
#! Junkie
Registered: 2010-03-26
Posts: 357

Re: Broken packages after upgrade to Jessie

Go the same result using that method:

chris@crunchbang:~$ sudo apt-get -t jessie install netflix-desktop 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 netflix-desktop : Depends: wine-browser-installer (= 0.8.5~quantal) but it is not going to be installed
                   Depends: wine-silverlight5.1-installer but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I've also tried removing any i386 packages I had laying around, but no change.

Another point of interest is that evince was removed during the upgrade, and now i get the same broken package message with that as well. The difference being that unlike the other packages it does not use any 32bit libraries.

Offline

#4 2013-09-18 15:48:10

wizard10000
#! Member
Registered: 2013-02-24
Posts: 80

Re: Broken packages after upgrade to Jessie

You might try installing wine-browser-installer and wine-silverlight5.1-installer first.


we see things not as they are, but as we are.
  -- anais nin

Offline

#5 2013-09-18 16:16:22

cchhrriiss121212
#! Junkie
Registered: 2010-03-26
Posts: 357

Re: Broken packages after upgrade to Jessie

Yeah I tried that, it has the same errors.

No idea how a package can be considered broken when it is not even installed...

Offline

#6 2013-09-18 16:31:18

pvsage
Internal Affairs
From: North Carolina
Registered: 2009-10-18
Posts: 11,951

Re: Broken packages after upgrade to Jessie

This is what they call "dependency hell".  If you follow each "but it is not going to be installed" further down the rabbit hole, you'll eventually find the package(s) at the root of the trouble.  In this case, it looks to me like there's a conflict between the Quantal Silverlight-related packages and Jessie...not sure if there's a good solution there. sad  Maybe changing your sources for Wine/Silverlight from Quantal to Raring will help?


I'm a moderator here.  How are we doing?  Feedback is encouraged.

Offline

#7 2013-09-18 18:54:43

cchhrriiss121212
#! Junkie
Registered: 2010-03-26
Posts: 357

Re: Broken packages after upgrade to Jessie

Thanks pvsage, but raring is just the same.

Hmm, so done some rabbit hole inspection and found this:

The following packages have unmet dependencies:
 ffmpeg : Depends: libavdevice54 (>= 8:1.2.0) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

But I already have this package installed? version 1.2.3.

hmm

Offline

#8 2013-09-22 19:44:04

cchhrriiss121212
#! Junkie
Registered: 2010-03-26
Posts: 357

Re: Broken packages after upgrade to Jessie

Bumping this cause I'd rather not reinstall my OS if I can help it.

Does anyone know how to isolate this further? I have hit a wall with the package shown in the last post.

Offline

#9 2013-09-23 00:12:01

pvsage
Internal Affairs
From: North Carolina
Registered: 2009-10-18
Posts: 11,951

Re: Broken packages after upgrade to Jessie

If you don't have the deb-multimedia repo in your sources.list, I think adding it may help.  Looks like the dependency problem goes back to the silly bikeshedding thing between ffmpeg and libav.  (By the way, since I already have the multimedia repo in my sources, I just checked.  libavdevice54 is in the Wheezy repo; I'm not sure about Jessie though.)

I seem to recall that if you have to manually install a specific version of libavdevice, APT may want to do quite a bit of uninstall and reinstall of other packages, and may even break more packages than it fixes. sad  There's so much tension between the libav and ffmpeg development teams that they should just get a room already. kiss


I'm a moderator here.  How are we doing?  Feedback is encouraged.

Offline

#10 2013-09-24 09:15:34

cchhrriiss121212
#! Junkie
Registered: 2010-03-26
Posts: 357

Re: Broken packages after upgrade to Jessie

Yes I do have the multimedia repo added.

Think I will try a reinstall of the libs it is getting stuck with.

Offline

#11 2013-09-25 14:26:18

cchhrriiss121212
#! Junkie
Registered: 2010-03-26
Posts: 357

Re: Broken packages after upgrade to Jessie

So I have just ****** my whole apt system trying to fix this, now going for a fresh install.

Another win for linux usability.  roll

Offline

#12 2013-10-02 20:29:10

zubcho81
#! CrunchBanger
From: Sofia, Bulgaria
Registered: 2012-08-12
Posts: 192

Re: Broken packages after upgrade to Jessie

Fresh install and than comment the weezy repos and leave just jessy's

Offline

Board footer

Powered by FluxBB

Copyright © 2012 CrunchBang Linux.
Proudly powered by Debian. Hosted by Linode.
Debian is a registered trademark of Software in the Public Interest, Inc.

Debian Logo